import { KCEditableLabel } from './kc-editable-label.js';
export declare class KCValidatedEditableLabel extends KCEditableLabel {
    validator: (oldValue: string, newValue: string) => string | boolean;
    private errorMessage;
    static readonly styles: (import("lit-element").CSSResult | import("lit-element").CSSResultArray)[];
    readonly inputEl: import("lit-element").TemplateResult;
    readonly errorEl: import("lit-element").TemplateResult;
    apply(): void;
    _onInputKeyDown(e: KeyboardEvent): void;
}
